 
<!-- IGAC proyecto SNC -->
<!-- @author felipe.cadena -->
<!-- @description  página en la que se la consulta de actividades 
     relacionadas a la asignacion de usuarios SNC -->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="busquedaTramitesForm">


    <script type="text/javascript"
            src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
    <script type="text/javascript">
        $(document)
                .ready(
                        function () {
                            $(
                                    '#formConsultaTramite'
                                    + validColonString() + 's1,#formConsultaTramite'
                                    + validColonString() + 's2,#formConsultaTramite'
                                    + validColonString() + 's3,#formConsultaTramite'
                                    + validColonString() + 's4,#formConsultaTramite'
                                    + validColonString() + 's5,#formConsultaTramite'
                                    + validColonString() + 's6,#formConsultaTramite'
                                    + validColonString() + 's7,#formConsultaTramite'
                                    + validColonString() + 's8,#formConsultaTramite'
                                    + validColonString() + 's9,#formConsultaTramite'
                                    + validColonString() + 's10,#formConsultaTramite'
                                    + validColonString() + 's11,#formConsultaTramite'
                                    + validColonString() + 's12')
                                    .autotab_magic().autotab_filter('numeric');
                        });
    </script>


    <p:spacer height="10" />
    <p:fieldset>
        <legend> 
            <h:outputLabel
                value="Búsqueda de trámites"
                styleClass="outputLabelStyle" /> 
        </legend>
        <h:panelGrid columns="4" cellpadding="3" cellspacing="3">

            <h:outputLabel value="UOC: "
                           styleClass="outputLabelStyle" />
            <h:selectOneMenu id="UOCSOM" label="uoc"
                             style="width:150px;"
                             value="#{administracionAsignacionUsuarios.UOCseleccionada}"    
                             disabled="#{!administracionAsignacionUsuarios.banderaSeleccionUOC}">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{administracionAsignacionUsuarios.UOCItemList}" />
                <p:ajax event="change" update="consultaPredioDepartamento, consultaPredioMunicipio" listener="#{administracionAsignacionUsuarios.actualizarRolesListener}"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();"/>
            </h:selectOneMenu>

            <p:spacer height="20" />
            <p:spacer height="20" />


            <h:outputLabel for="consultaPredioDepartamento"
                           value="Departamento: " styleClass="outputLabelStyle" />
            <h:selectOneMenu id="consultaPredioDepartamento"
                             label="Departamento"
                             value="#{administracionAsignacionUsuarios.datosConsultaTramite.departamentoId}">
                <f:selectItem itemLabel="Todos" itemValue="" />
                <f:selectItems
                    value="#{administracionAsignacionUsuarios.departamentosItemList}" />
                <p:ajax listener="#{administracionAsignacionUsuarios.actualizarMunicipiosListener}"
                        update="consultaPredioMunicipio" onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();" />
            </h:selectOneMenu>

            <h:outputLabel for="consultaPredioMunicipio" value="Municipio: "
                           styleClass="outputLabelStyle" />
            <h:selectOneMenu id="consultaPredioMunicipio" label="Municipio"
                             value="#{administracionAsignacionUsuarios.datosConsultaTramite.municipioId}">
                <f:selectItem itemLabel="Todos" itemValue="" />
                <f:selectItems value="#{administracionAsignacionUsuarios.municipiosItemList}" />

            </h:selectOneMenu>

            <h:outputLabel value="Número de radicación: "
                           styleClass="outputLabelStyle" />
            <h:inputText
                value="#{administracionAsignacionUsuarios.datosConsultaTramite.numeroRadicacion}"
                id="numRadicacion" label="Número de radicación" size="30"
                maxlength="20"
                style="width:150px;" />

            <p:spacer width="2" />
            <p:spacer width="2" />

            <h:outputLabel value="Fecha radicación inicial: "
                           styleClass="outputLabelStyle" />

            <h:panelGrid columns="2"> 
                <p:calendar id="fechaTituloNuevaJustificacion" showOn="button" title="#{general.formatoFechaUsuario}" 
                            widgetVar="fechaRadIniWV" 
                            locale="es_CO" navigator="true" maxdate="#{general.fechaActual}" label="Fecha título"
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            readOnlyInputText="true"
                            value="#{administracionAsignacionUsuarios.datosConsultaTramite.fechaRadicacion}" />
                <p:commandButton  icon="ui-icon-trash" title="Limpiar fecha" onclick="fechaRadIniWV.setDate(null)"/>
            </h:panelGrid> 
            <h:outputLabel value="Fecha radicación final: "
                           styleClass="outputLabelStyle" />

            <h:panelGrid columns="2"> 
                <p:calendar showOn="button" title="#{general.formatoFechaUsuario}" 
                            widgetVar="fechaRadFinWV" 
                            locale="es_CO" navigator="true" maxdate="#{general.fechaActual}" label="Fecha título"
                            pattern="#{general.formatoFechaComponenteCalendar}"
                            readOnlyInputText="true"
                            value="#{administracionAsignacionUsuarios.datosConsultaTramite.fechaRadicacionFinal}" />
                <p:commandButton  icon="ui-icon-trash" title="Limpiar fecha" onclick="fechaRadFinWV.setDate(null)"/>
            </h:panelGrid> 

            <h:outputLabel value="Tipo de identificación: "
                           styleClass="outputLabelStyle" />
            <h:selectOneMenu id="tipoIdentificacion"
                             label="Tipo de identificación"
                             value="#{administracionAsignacionUsuarios.filtroDatosConsultaSolicitante.tipoIdentificacion}">
                <f:selectItems
                    value="#{general.personaTipoIdentificacionNoNitV}" />
            </h:selectOneMenu>

            <h:outputLabel value="Número identificación: "
                           styleClass="outputLabelStyle" />
            <h:inputText id="numeroIdentificacion"
                         value="#{administracionAsignacionUsuarios.filtroDatosConsultaSolicitante.numeroIdentificacion}"
                         label="Número identificación" size="30" />


            <h:outputLabel value="Número predial: "
                           styleClass="outputLabelStyle" />
            <h:panelGroup>
                <h:inputText id="s1"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS1}"
                             size="1" maxlength="2"
                             onkeyup="saltar(this, 2, 2, 3, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s2"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS2}"
                             size="3" maxlength="3"
                             onkeyup="saltar(this, 3, 3, 2, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s3"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS3}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 4, 2, 'tareasTab:formConsultaTramite:');" />
                <p:spacer width="2" />

                <h:inputText id="s4"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS4}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 5, 2, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s5"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS5}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 6, 2, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s6"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS6}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 7, 4, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s7"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS7}"
                             size="4" maxlength="4"
                             onkeyup="saltar(this, 4, 8, 4, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s8"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS8}"
                             size="4" maxlength="4"
                             onkeyup="saltar(this, 4, 9, 1, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s9"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS9}"
                             size="1" maxlength="1"
                             onkeyup="saltar(this, 1, 10, 2, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s10"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS10}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 11, 2, 'tareasTab:formConsultaTramite:');" />
                <p:spacer width="2" />

                <h:inputText id="s11"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS11}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 12, 4, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s12"
                             value="#{administracionAsignacionUsuarios.datosConsultaPredio.numeroPredialS12}"
                             size="4" maxlength="4" />
            </h:panelGroup>

            <h:outputLabel value="Clasificación"
                           styleClass="outputLabelStyle" />

            <h:selectOneMenu id="ClasificacionTramite" 

                             value="#{administracionAsignacionUsuarios.datosConsultaTramite.tipoTramite}" label="Tipo de trámite">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItem itemLabel="Oficina" itemValue="OFICINA"/>
                <f:selectItem itemLabel="Terreno" itemValue="VALOR"/>

            </h:selectOneMenu>

            <h:outputLabel value="Tipo de solicitud: "
                           styleClass="outputLabelStyle" />


            <h:selectOneMenu id="tipoSolicitudCB" 
                             value="#{administracionAsignacionUsuarios.datosConsultaTramite.tipoSolicitud}">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{administracionAsignacionUsuarios.solitudesItemList}" />
                <p:ajax listener="#{administracionAsignacionUsuarios.actualizarTiposTramitePorSolicitudListener}"
                        update="busquedaTramitesForm:containerLblMutacion,
                        busquedaTramitesForm:containerSlctMutacion,
                        busquedaTramitesForm:containerLblSubclase,
                        busquedaTramitesForm:containerSlctSubclase,
                        busquedaTramitesForm:tipoTramite"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();" />

            </h:selectOneMenu>


            <h:outputLabel value="Tipo de trámite "
                           styleClass="outputLabelStyle" />

            <h:selectOneMenu id="tipoTramite" value="#{administracionAsignacionUsuarios.datosConsultaTramite.tipoTramite}" label="Tipo de trámite">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{administracionAsignacionUsuarios.tipoTramiteItemList}" />
                <p:ajax listener="#{administracionAsignacionUsuarios.actualizarSubtramitesPorTramiteListener}"
                        process="@this" update="busquedaTramitesForm:containerLblMutacion,
                        busquedaTramitesForm:containerSlctMutacion,
                        busquedaTramitesForm:containerLblSubclase,
                        busquedaTramitesForm:containerSlctSubclase"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();" />

            </h:selectOneMenu>

            <h:panelGroup id="containerLblMutacion">
                <h:outputLabel value="Clase de mutación: " for="claseMutacion" id="claseMutacionLbl"
                               styleClass="outputLabelStyle" rendered="#{administracionAsignacionUsuarios.mostrarClaseMutacion}" />
            </h:panelGroup>

            <h:panelGroup id="containerSlctMutacion">
                <h:panelGrid id="claseMutacionSOM"
                             rendered="#{administracionAsignacionUsuarios.mostrarClaseMutacion}" >
                    <h:selectOneMenu id="claseMutacion"
                                     value="#{administracionAsignacionUsuarios.datosConsultaTramite.claseMutacion}">
                        <f:selectItem itemLabel="Seleccionar..." />
                        <f:selectItems value="#{administracionAsignacionUsuarios.claseMutacionItemList}" />
                        <p:ajax process="@this" listener="#{administracionAsignacionUsuarios.actualizarTiposmutacionListener}"
                                onstart="statusDialog2.show();" update="busquedaTramitesForm:containerLblSubclase,
                                busquedaTramitesForm:containerSlctSubclase"
                                oncomplete="statusDialog2.hide();" />
                    </h:selectOneMenu>
                </h:panelGrid>
            </h:panelGroup>

            <h:panelGroup id="containerLblSubclase"> 
                <h:outputLabel value="Subclase: " for="subtipoMutacion" rendered="#{administracionAsignacionUsuarios.mostrarSubClaseMutacion}" 
                               id="subtipoMutacionLabel" styleClass="outputLabelStyle"/>
            </h:panelGroup>

            <h:panelGroup id="containerSlctSubclase"> 
                <h:selectOneMenu id="subtipoMutacion" rendered="#{administracionAsignacionUsuarios.mostrarSubClaseMutacion}" 
                                 value="#{administracionAsignacionUsuarios.datosConsultaTramite.subtipo}">
                    <f:selectItem itemLabel="Seleccionar..." />
                    <f:selectItems
                        value="#{administracionAsignacionUsuarios.subtipoMutacionItemList}" />
                    <p:ajax process="@this" 
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();" />
                </h:selectOneMenu>
            </h:panelGroup>

        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="10" width="25" />

    <p:spacer height="10" width="25" />

    <p:outputPanel layout="block" style="text-align:left">

        <p:spacer height="13" width="13" />

        <p:commandButton value="Buscar" widgetVar="buscarBtn" id="buscarBtn"
                         icon="ui-icon ui-icon-search" 
                         update="panelTablaTramites, msgActividadesTramite"
                         action="#{administracionAsignacionUsuarios.buscar}"
                         onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();" />
        <p:spacer height="13" width="13" />

        <p:commandButton value="Limpiar" widgetVar="limpiarBtn" id="limpiaBtn"
                         update="panelTablaTramites" rendered="false"
                         onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();" />
        <p:spacer height="13" width="13" />



    </p:outputPanel>

    <p:spacer height="10" width="25" />

    <p:panel header="Trámites resultado de la búsqueda"
             id="panelTablaTramites" style="width: 100%">

        <p:messages id="msgActividadesTramite" showDetail="false" 
                    globalOnly="false" />

        <ui:include src="/conservacion/asignacion/detalleListaTramitesAsignacion.xhtml">

            <ui:param name="listaTramitesParam" value="#{administracionAsignacionUsuarios.tramitesResult}"/>
            <ui:param name="listaTramitesSeleccionadosParam" value="#{administracionAsignacionUsuarios.tramitesSeleccionados}"/>
            <ui:param name="seleccionParam" value="true"/>          
        </ui:include>


    </p:panel>

    <h:panelGrid columns="4" cellpadding="3" cellspacing="3">


        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton value="Agregar" icon="ui-icon-plus" update=":formConsultaTramite:panelTramitesAsignacion"
                             process="@this" title="Agregar" label="Agregar"
                             action="#{administracionAsignacionUsuarios.agregarSeleccion}"
                             ajax="false" />
            <p:spacer height="0" width="10" />
        </p:outputPanel>
        <p:spacer height="7" width="0" />
        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton value="Cerrar" icon="ui-icon-close"
                             immediate="true" process="@this" title="Cerrar" label="Cerrar"
                             ajax="false" onclick="busquedaTramitesWV.hide();"/>
            <p:spacer height="0" width="10" />
        </p:outputPanel>
    </h:panelGrid>


</h:form>